stache-2.3.4: Mustache templates for Haskell

Copyright | © 2016–present Stack Builders
License | BSD 3 clause
Maintainer | Mark Karpov <markkarpov92@gmail.com>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Mustache.Parser

Description

Megaparsec parser for Mustache templates. You don't usually need to import the module, because Text.Mustache re-exports everything you may need, import that module instead.

Synopsis

- parseMustache :: FilePath -> Text -> Either (ParseErrorBundle Text Void) [Node]

# Documentation

parseMustache #

Arguments

:: FilePath | Location of the file to parse
-> Text | File contents (Mustache template)
-> Either (ParseErrorBundle Text Void) [Node] | Parsed nodes or parse error

Parse a given Mustache template.